Package org.eclipse.lemminx.extensions.generators

## Class FileContentGeneratorSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.generators.FileContentGeneratorSettings

Direct Known Subclasses:
  `DTDGeneratorSettings`, `RelaxNGGeneratorSettings`, `XMLSchemaGeneratorSettings`

    public class FileContentGeneratorSettings
    extends Object

Base class for generator settings.

### Constructor Summary

Constructors
`FileContentGeneratorSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaxEnumerationValues()` Returns the maximum number of distinct attribute values to be included in an enumeration.
`int` `getMaxIdValues()` Returns the maximum number of attribute values to be saved while checking for uniqueness.
`int` `getMinEnumerationInstances()` Returns the minimum number of appearances of an attribute for it to be considered a candidate for an enumeration type
`int` `getMinEnumerationRatio()` Returns the ratio for an attribute will be regarded as an enumeration attribute only if the number of instances divided by the number of distinct values is >= this ratio
`int` `getMinFixed()` Returns the minimum number of attributes that must appear, with the same value each time, for the value to be regarded as FIXED.
`int` `getMinIdValues()` Returns the minumum number of attribute values that must appear for the attribute to be regarded as an ID value.
`void` `setMaxEnumerationValues​(int maxEnumerationValues)` Set the maximum number of distinct attribute values to be included in an enumeration.
`void` `setMaxIdValues​(int maxIdValues)` Set the maximum number of attribute values to be saved while checking for uniqueness.
`void` `setMinEnumerationInstances​(int minEnumerationInstances)` Set the minimum number of appearances of an attribute for it to be considered a candidate for an enumeration type
`void` `setMinEnumerationRatio​(int minEnumerationRatio)` Set the ratio for an attribute will be regarded as an enumeration attribute only if the number of instances divided by the number of distinct values is >= this ratio
`void` `setMinFixed​(int minFixed)` Set the minimum number of attributes that must appear, with the same value each time, for the value to be regarded as FIXED.
`void` `setMinIdValues​(int minIdValues)` Set the minumum number of attribute values that must appear for the attribute to be regarded as an ID value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileContentGeneratorSettings

    public FileContentGeneratorSettings()

### Method Detail

#### getMinEnumerationInstances

    public int getMinEnumerationInstances()

Returns the minimum number of appearances of an attribute for it to be considered a candidate for an enumeration type

Returns:
  the minimum number of appearances of an attribute for it to be considered a candidate for an enumeration type

#### setMinEnumerationInstances

    public void setMinEnumerationInstances​(int minEnumerationInstances)

Set the minimum number of appearances of an attribute for it to be considered a candidate for an enumeration type

Parameters:
  `minEnumerationInstances` - the minimum number of appearances of an attribute for it to be considered a candidate for an enumeration type

#### getMaxEnumerationValues

    public int getMaxEnumerationValues()

Returns the maximum number of distinct attribute values to be included in an enumeration.

Returns:
  the maximum number of distinct attribute values to be included in an enumeration.

#### setMaxEnumerationValues

    public void setMaxEnumerationValues​(int maxEnumerationValues)

Set the maximum number of distinct attribute values to be included in an enumeration.

Parameters:
  `maxEnumerationValues` - the maximum number of distinct attribute values to be included in an enumeration.

#### getMinEnumerationRatio

    public int getMinEnumerationRatio()

Returns the ratio for an attribute will be regarded as an enumeration attribute only if the number of instances divided by the number of distinct values is >= this ratio

Returns:
  the ratio for an attribute will be regarded as an enumeration attribute only if the number of instances divided by the number of distinct values is >= this ratio

#### setMinEnumerationRatio

    public void setMinEnumerationRatio​(int minEnumerationRatio)

Set the ratio for an attribute will be regarded as an enumeration attribute only if the number of instances divided by the number of distinct values is >= this ratio

Parameters:
  `minEnumerationRatio` - the ratio for an attribute will be regarded as an enumeration attribute only if the number of instances divided by the number of distinct values is >= this ratio

#### getMinFixed

    public int getMinFixed()

Returns the minimum number of attributes that must appear, with the same value each time, for the value to be regarded as FIXED.

Returns:
  the minimum number of attributes that must appear, with the same value each time, for the value to be regarded as FIXED.

#### setMinFixed

    public void setMinFixed​(int minFixed)

Set the minimum number of attributes that must appear, with the same value each time, for the value to be regarded as FIXED.

Parameters:
  `minFixed` - the minimum number of attributes that must appear, with the same value each time, for the value to be regarded as FIXED.

#### getMinIdValues

    public int getMinIdValues()

Returns the minumum number of attribute values that must appear for the attribute to be regarded as an ID value.

Returns:
  the minumum number of attribute values that must appear for the attribute to be regarded as an ID value.

#### setMinIdValues

    public void setMinIdValues​(int minIdValues)

Set the minumum number of attribute values that must appear for the attribute to be regarded as an ID value.

Parameters:
  `minIdValues` - the minumum number of attribute values that must appear for the attribute to be regarded as an ID value.

#### getMaxIdValues

    public int getMaxIdValues()

Returns the maximum number of attribute values to be saved while checking for uniqueness.

Returns:
  the maximum number of attribute values to be saved while checking for uniqueness.

#### setMaxIdValues

    public void setMaxIdValues​(int maxIdValues)

Set the maximum number of attribute values to be saved while checking for uniqueness.

Parameters:
  `maxIdValues` - the maximum number of attribute values to be saved while checking for uniqueness.